{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>
                {{ project.name }}
                <p>
                    {{ project.description }}
                    <h2>Tasks</h2>
                    <p>
                        <a href="{% url 'create_task' %}">Create a new task</a>
                    </p>
                    {% if project.tasks.all|length > 0 %}
                        <table>
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Assignee</th>
                                    <th>Start date</th>
                                    <th>Due date</th>
                                    <th>Is completed</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for task in project.tasks.all %}
                                    <tr>
                                        <td>{{ task.name }}</td>
                                        <td>{{ task.assignee }}</td>
                                        <td>{{ task.start_date|date:"M. d, Y, H:i a" }}</td>
                                        <td>{{ task.due_date|date:"M. d, Y, H:i a" }}</td>
                                        <td>{{ task.is_completed|yesno }}</td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    {% else %}
                        <p>This project has no tasks</p>
                    {% endif %}
                </div>
            </main>
        {% endblock content %}
